%define rname	all-in-one_sidebar
%define version 0.7.6
%define release alt1
%define cid 	\{097d3191-e6fa-4728-9826-b533d755359d\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	All-in-One Sidebar -- sidebars managing extension
Summary(ru_RU.KOI8-R):	All-in-One Sidebar --     

License:	MPL 1.1/GPL 2.0/LGPL 2.1
Group:		Networking/WWW
URL:		http://firefox.exxile.net/aios/

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	%rname-%version-fx.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 3.0

%description
All-in-One Sidebar -- sidebars managing extension. It allows one to switch
between sidebars quickly, browse extensions and themes list, downloads status,
page info and source as well as the page itself inside the sidebar. It
includes some buttons for the toolbar. 

%description -l ru_RU.KOI8-R
All-in-One Sidebar --     .
     , 
    ,   ,
  ,   ,    web-
  .        .

%prep
%setup -T -c
unzip -qq %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Aug 20 2008 Yury Aliaev <mutabor@altlinux.ru> 0.7.6-alt1
- initial build for Sisyphus
